Package wx :: Class StdDialogButtonSizer

[frames | no frames]

## Type StdDialogButtonSizer

    object --+
             |
        Object --+
                 |
             Sizer --+
                     |
              BoxSizer --+
                         |
                        StdDialogButtonSizer

A special sizer that knows how to order and position standard buttons in order to conform to the current platform's standards. You simply need to add each `wx.Button` to the sizer, and be sure to create the buttons using the standard ID's. Then call `Realize` and the sizer will take care of the rest.

Method Summary
BoxSizer | ``__init__`(self, orient)` Constructor for a wx.BoxSizer.
| ``AddButton`(self, button)` Use this to add the buttons to this sizer.
wxButton | `GetAffirmativeButton(self)`
wxButton | `GetApplyButton(self)`
wxButton | `GetCancelButton(self)`
wxButton | `GetHelpButton(self)`
wxButton | `GetNegativeButton(self)`
| ``Realize`(self)` This funciton needs to be called after all the buttons have been added to the sizer.
| `SetAffirmativeButton(self, button)`
| `SetCancelButton(self, button)`
| `SetNegativeButton(self, button)`

Property Summary
| `AffirmativeButton`: See `GetAffirmativeButton` and `SetAffirmativeButton`
| `ApplyButton`: See `GetApplyButton`
| `CancelButton`: See `GetCancelButton` and `SetCancelButton`
| `HelpButton`: See `GetHelpButton`
| `NegativeButton`: See `GetNegativeButton` and `SetNegativeButton`
| `thisown`: The membership flag

Method Details

### __init__(self)
(Constructor)

Constructor for a wx.BoxSizer. orient may be one of `wx.VERTICAL` or `wx.HORIZONTAL` for creating either a column sizer or a row sizer.

  Parameters:
    `orient`
    (type=int)

  Returns:
    BoxSizer
  Overrides:
    `wx.BoxSizer.__init__` (inherited documentation)

### AddButton(self, button)

Use this to add the buttons to this sizer. Do not use the `Add` method in the base class.

  Parameters:
    `button`
    (type=wxButton)

### Realize(self)

This funciton needs to be called after all the buttons have been added to the sizer. It will reorder them and position them in a platform specifc manner.

Property Details

### AffirmativeButton

See `GetAffirmativeButton` and `SetAffirmativeButton`

  Get Method:
    `GetAffirmativeButton`(self)
  Set Method:
    `SetAffirmativeButton`(self, button)

### ApplyButton

See `GetApplyButton`

  Get Method:
    `GetApplyButton`(self)

### CancelButton

See `GetCancelButton` and `SetCancelButton`

  Get Method:
    `GetCancelButton`(self)
  Set Method:
    `SetCancelButton`(self, button)

### HelpButton

See `GetHelpButton`

  Get Method:
    `GetHelpButton`(self)

### NegativeButton

See `GetNegativeButton` and `SetNegativeButton`

  Get Method:
    `GetNegativeButton`(self)
  Set Method:
    `SetNegativeButton`(self, button)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:10:08 2007 | http://epydoc.sf.net